# BukkitRegisteredCommand (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitRegisteredCommand

Package co.aikar.commands

# Class BukkitRegisteredCommand

java.lang.Object
co.aikar.commands.RegisteredCommand<BukkitCommandExecutionContext>
co.aikar.commands.BukkitRegisteredCommand

public class BukkitRegisteredCommand extends co.aikar.commands.RegisteredCommand<BukkitCommandExecutionContext>

## Field Summary

### Fields inherited from class co.aikar.commands.RegisteredCommand

`helpSearchTags`

## Method Summary

### Methods inherited from class co.aikar.commands.RegisteredCommand

`addSubcommand, addSubcommands, getAnnotation, getCommand, getHelpText, getPermission, getPrefSubCommand, getRequiredPermissions, getSyntaxText, getSyntaxText, isPrivate, postCommand, preCommand, requiresPermission`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`